package test.org.seasar.cayenne.dao.impl;

import java.util.List;

import org.seasar.extension.dataset.DataSet;
import org.seasar.extension.unit.S2TestCase;

import examples.cayenne.dao.EmployeeDao;

/**
 * @author Takahiro MATSUNAGA
 * @see S2TestCase
 */
public class EmployeeDaoTest extends S2TestCase {

    private EmployeeDao employeeDao_;

    /**
     * @param name
     */
    public EmployeeDaoTest(String name) {
        super(name);
    }

    public static void main(String[] args) {
        junit.textui.TestRunner.run(EmployeeDaoTest.class);
    }

    /* (Javadoc Ȃ)
     * @see junit.framework.TestCase#setUp()
     */
    protected void setUp() throws Exception {
        super.setUp();

        include("examples/cayenne/dao/EmployeeDao.dicon");
    }

    /* (Javadoc Ȃ)
     * @see junit.framework.TestCase#tearDown()
     */
    protected void tearDown() throws Exception {
        super.tearDown();
    }

    public void testGetAllEmployee() {
//        readXlsWriteDb("Employee.xls");

        List employees = employeeDao_.getAllEmployee();

        DataSet expected = readXls("getAllEmployee.xls");
        assertEquals("1", expected, employees);
    }

}
