package org.seasar.cayenne.dao;

import org.seasar.extension.jdbc.PropertyType;
import org.seasar.framework.beans.PropertyNotFoundRuntimeException;

/**
 * @author Takahiro MATSUNAGA
 */
public interface CayenneDtoMetaData {

    String COLUMN_SUFFIX = "_COLUMN";

    Class getBeanClass();

    int getPropertyTypeSize();

    PropertyType getPropertyType(int index);

    PropertyType getPropertyType(String propertyName) throws PropertyNotFoundRuntimeException;

    boolean hasPropertyType(String propertyName);

}
